package de.unima.ki.javakurs.tag2.geo2;

import static junit.framework.Assert.assertEquals;

import org.junit.Test;

public class Geo2Test {

	@Test
	public void umfangTest1() {
		double result = Geo2.umfang(10);
		assertEquals("", 62.83185307179586, result);
	}
	
	@Test
	public void umfangTest2() {
		double result = Geo2.umfang(1/Math.PI);
		assertEquals("", 2.0, result);
	}
	
	@Test
	public void umfangTest3() {
		double result = Geo2.umfang(17.2);
		assertEquals("", 108.07078728348888, result);
	}
	
	@Test
	public void flaecheTest1() {
		double result = Geo2.flaeche(8.5);
		assertEquals("", 226.98006922186255, result);
	}
	
	@Test
	public void flaecheTest2() {
		double result = Geo2.flaeche(5/Math.sqrt(Math.PI));
		assertEquals("", 25.000000000000004, result);
	}
	
	@Test
	public void flaecheTest3() {
		double result = Geo2.flaeche(21);
		assertEquals("", 1385.4423602330987, result);
	}
	
	@Test
	public void volumenTest1() {
		double result = Geo2.volumen(12.9);
		assertEquals("", 6744.0223919420205, result);
	}
	
	@Test
	public void volumenTest2() {
		double result = Geo2.volumen(11);
		assertEquals("", 4181.459821928014, result);
	}
	
	@Test
	public void volumenTest3() {
		double result = Geo2.volumen(17);
		assertEquals("", 15434.644707086654, result);
	}

}
