package de.unima.ki.javakurs.tag2.monalisa;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import javax.imageio.ImageIO;
import javax.swing.JFrame;

@SuppressWarnings("serial")
public class MonaLisa extends JFrame{

	private BufferedImage img;
	private int[][] pixels; //array mit den Graustufenwerten der Pixel
	
	public void invertieren(){
		
	}
	
	public void aufhellen(){
		
	}
	
	public void schwarzweiss(){
		
	}

	public static void main(String[] args) {
		MonaLisa mona = new MonaLisa();
		mona.pack();
		mona.setSize(1024,768);
		mona.setVisible(true);
		//Hier werden die Methoden getestet
		//mona.schwarzweiss();
		//mona.invertieren();
		//mona.aufhellen();
	}
	
	
	public MonaLisa()  {
		try {
			img = ImageIO.read(new File("Mona-Lisa-1024x768.jpg"));
		}  catch (IOException e1) {
			e1.printStackTrace();
		}
		pixels = new int[img.getWidth()][img.getHeight()];
		Color color;
 		for( int i = 0; i < pixels.length; i++ ){
 		    for( int j = 0; j < pixels[i].length; j++ ){
 		    	color = new Color(img.getRGB( i, j ));
 		        pixels[i][j] = (int) ((color.getRed())*0.299 + (color.getGreen()) *0.587 +(color.getBlue()) * 0.114 ) ; 
 		    }
 		}
	}
	
	@Override
	public void paint(Graphics g) {
 		for(int i=0; i<1024; i++) {
 			for(int j=0; j<768; j++) {
 				g.setColor(new Color(pixels[i][j],pixels[i][j],pixels[i][j]));
 				g.drawRect(i,j,1,1);
 			}
 		} 		
 	}

}
