package de.unima.ki.javakurs.tag2.primzahlen;

import static org.junit.Assert.assertTrue;

import java.util.Arrays;

import org.junit.Test;

public class PrimzahlenTest {

	@Test
	public void primzahlenTest1() {
		
		boolean[] primzahlen = {false,false,true,true,false,true,false,true,false,false,false};
		boolean[] result = Primzahlen.prim(10);
		assertTrue(Arrays.equals(primzahlen, result));
		
	}
	
	@Test
	public void primzahlenTest2() {
		
		boolean[] primzahlen = {false, false, true, true, false, true, false, true, false, false, false, true, false, true, false, false};
		boolean[] result = Primzahlen.prim(15);
		assertTrue(Arrays.equals(primzahlen, result));
		
	}
	
	@Test
	public void primzahlenTest3() {
		boolean[] primzahlen = {false, false, true};
		boolean[] result = Primzahlen.prim(2);
		assertTrue(Arrays.equals(primzahlen, result));
	}
	

}
