package de.unima.ki.javakurs.tag2.palindrom;

import static junit.framework.Assert.assertEquals;
import static org.junit.Assert.*;

import org.junit.Test;

import de.unima.ki.javakurs.tag2.geo2.Geo2;

public class PalindromTest {

	@Test
	public void test1() {
		char[]myWort= {'a','b','a'};
		boolean result = Palindrom.isPalindrom(myWort, 0, myWort.length-1);
		assertEquals("",true, result);
	}
	
	@Test
	public void test2() {
		char[]myWort= {'7','4','2','2','4','7'};
		boolean result = Palindrom.isPalindrom(myWort, 0, myWort.length-1);
		assertEquals("",true, result);
	}
	
	@Test
	public void test3() {
		char[]myWort= {'w','w','k','k','o','o'};
		boolean result = Palindrom.isPalindrom(myWort, 0, myWort.length-1);
		assertEquals("",false, result);
	}
	
	@Test
	public void test4() {
		char[]myWort= {'w','w','w','w','w','w'};
		boolean result = Palindrom.isPalindrom(myWort, 0, myWort.length-1);
		assertEquals("",true, result);
	}
	
	@Test
	public void test5() {
		char[]myWort= {'0','1','2','3','4','5','6','7','8','9','8','7','6','5','4','3','2','1','0'};
		boolean result = Palindrom.isPalindrom(myWort, 0, myWort.length-1);
		assertEquals("",true, result);
	}
	
	@Test
	public void test6() {
		char[]myWort= {'0','1','2','3','4','5','6','7','1','1','1','7','6','5','4','3','2','1','0'};
		boolean result = Palindrom.isPalindrom(myWort, 0, myWort.length-1);
		assertEquals("",true, result);
	}
	
	@Test
	public void test7() {
		char[]myWort= {'1','0','1','0','1','0','1','0','1','0','1','0','1','0','1','0','1','0'};
		boolean result = Palindrom.isPalindrom(myWort, 0, myWort.length-1);
		assertEquals("",false, result);
	}
	
	@Test
	public void test8() {
		char[]myWort= {'l','a','g','e','r','r','e','g','a','l'};
		boolean result = Palindrom.isPalindrom(myWort, 0, myWort.length-1);
		assertEquals("",true, result);
	}

}
