package de.unima.ki.javakurs.tag2.permutation;

import static junit.framework.Assert.assertEquals;

import org.junit.Test;

import de.unima.ki.javakurs.tag2.geo2.Geo2;

public class PermutationTest {

	@Test
	public void test1() {
		int [] array = new int [5];
		array [0]= 1;
		array [1]= 2;
		array [2]= 3;
		array [3]= 4;
		array [4]= 5;
		assertEquals("", true, Permutation.isPermutation(array));
	}
	
	@Test
	public void test2() {
		int [] array = new int [5];
		array [0]= 0;
		array [1]= 0;
		array [2]= 3;
		array [3]= 4;
		array [4]= 5;
		assertEquals("", true, Permutation.isPermutation(array));
	}
	
	@Test
	public void test3() {
		int [] array = new int [5];
		array [0]= 1;
		array [1]= 2;
		array [2]= 3;
		array [3]= 8;
		array [4]= 5;
		assertEquals("", false, Permutation.isPermutation(array));
	}
	
	@Test
	public void test4() {
		int [] array = new int [5];
		array [0]= 5;
		array [1]= 4;
		array [2]= 3;
		array [3]= 2;
		array [4]= 1;
		assertEquals("", true, Permutation.isPermutation(array));
	}
	
	@Test
	public void test5() {
		int [] array = new int [5];
		array [0]= 1;
		array [1]= 2;
		array [2]= 3;
		array [3]= 1;
		array [4]= 5;
		assertEquals("", false, Permutation.isPermutation(array));
	}
	

}
